> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a table join



## OpenAPI

````yaml put /tables/{id}/joins/{joinId}
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Agents
    description: Manage AI agents
  - name: Apps
    description: Compose and manage apps
  - name: Attachments
    description: Manage the attachments of a record
  - name: Automations
    description: Manage automations
  - name: Comments
    description: Manage the conversation of a record
  - name: Flows
    description: Manage flows
  - name: Groups
    description: Manage groups and group membership
  - name: Domains
    description: Manage organization domains
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Search Tables
    description: Manage search tables (snowflake and linked)
  - name: Skills
    description: Manage agent skills
  - name: Tables
    description: 'Manage tables: schemas, fields, joins, and join mappings'
  - name: Users
    description: Manage users in your organization
  - name: Views
    description: Manage app views
  - name: Watchers
    description: Manage the watchers of a record
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /tables/{id}/joins/{joinId}:
    put:
      tags:
        - Tables
      summary: Update a table join
      operationId: updateTableJoin
      parameters:
        - $ref: '#/components/parameters/tableId'
        - $ref: '#/components/parameters/joinId'
      requestBody:
        description: Join fields to update
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableJoinUpdateInput'
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableJoin'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  parameters:
    tableId:
      name: id
      in: path
      description: The table ID (UUID)
      required: true
      schema:
        type: string
        format: uuid
    joinId:
      name: joinId
      in: path
      description: The table-join ID (UUID)
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    TableJoinUpdateInput:
      type: object
      properties:
        source:
          type: string
          format: uuid
        type:
          $ref: '#/components/schemas/TableJoinType'
        joinOn:
          type: array
          items:
            $ref: '#/components/schemas/TableJoinFieldInput'
        filter:
          type: object
    TableJoin:
      type: object
      properties:
        onFields:
          type: array
          items:
            $ref: '#/components/schemas/TableJoinFields'
        id:
          type: string
          format: uuid
        type:
          $ref: '#/components/schemas/TableJoinType'
        clientHandle:
          type: string
          description: Portable cross-environment identifier (client handle)
        filter:
          type: object
        source:
          $ref: '#/components/schemas/Table'
    TableJoinType:
      type: string
      enum:
        - FULL
        - INNER
        - LEFT
        - RIGHT
    TableJoinFieldInput:
      required:
        - leftFieldId
        - rightFieldId
      type: object
      properties:
        leftFieldId:
          type: string
          description: Field on the parent table side of the join
          format: uuid
        rightFieldId:
          type: string
          description: Field on the joined table side of the join
          format: uuid
    TableJoinFields:
      type: object
      properties:
        clientHandle:
          type: string
          description: Portable cross-environment identifier (client handle)
        id:
          type: string
          format: uuid
        rightField:
          $ref: '#/components/schemas/TableField'
        joinMappings:
          type: object
          additionalProperties: true
          description: Connection of join-field value mappings
        leftField:
          $ref: '#/components/schemas/TableField'
    Table:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/TableField'
        orderBy:
          type: object
        __typename:
          type: string
        source:
          $ref: '#/components/schemas/Table'
        handle:
          type: string
        type:
          type: string
        limit:
          type: object
        filter:
          type: object
        clientHandle:
          type: string
          description: Portable cross-environment identifier (client handle)
        joins:
          type: array
          items:
            $ref: '#/components/schemas/TableJoin'
        dataView:
          $ref: '#/components/schemas/TableDataView'
        id:
          type: string
          format: uuid
        name:
          type: string
    TableField:
      type: object
      properties:
        __typename:
          type: string
          description: >-
            The table-field variant (TableFieldReference, TableFieldCloud,
            TableFieldCalculation, TableFieldPicklist, TableFieldMultiPicklist)
        field:
          $ref: '#/components/schemas/TableField'
        id:
          type: string
          format: uuid
        calculation:
          $ref: '#/components/schemas/TableCalculation'
        tags:
          type: array
          items:
            type: string
        semanticTags:
          type: array
          items:
            type: string
        expanded:
          $ref: '#/components/schemas/TableFieldExpanded'
        clientHandle:
          type: string
          description: Portable cross-environment identifier (client handle)
        fieldType:
          $ref: '#/components/schemas/AspectFieldType'
        name:
          type: string
        aggregation:
          $ref: '#/components/schemas/TableFieldAggregation'
        columnName:
          type: string
          description: Backing warehouse column (cloud fields only)
    TableDataView:
      type: object
      properties:
        databaseName:
          type: string
        __typename:
          type: string
          description: The data-view variant (TableDataViewSnowflake)
        id:
          type: string
          format: uuid
        clientHandle:
          type: string
          description: Portable cross-environment identifier (client handle)
        name:
          type: string
        schemaName:
          type: string
    TableCalculation:
      type: object
      properties:
        text:
          type: string
          description: Calculation expression
    TableFieldExpanded:
      type: string
      enum:
        - GROUP_NAME
        - MULTI_PICKLIST_LABEL
        - PICKLIST_LABEL
        - STAGE_NAME
        - USER_EMAIL
        - USER_FIRST_NAME
        - USER_LAST_NAME
    AspectFieldType:
      type: string
      description: The Elementum field data type
      enum:
        - ATTACHMENT_ID
        - BOOLEAN
        - DATE
        - DATETIME
        - DECIMAL
        - GROUP_ID
        - HANDLE
        - HTML
        - JSON
        - MULTI_PICKLIST
        - NUMBER
        - PICKLIST
        - TEXT
        - USER_ID
    TableFieldAggregation:
      type: string
      enum:
        - AVERAGE
        - COUNT
        - COUNT_DISTINCT
        - MAX
        - MIN
        - NOT_SET
        - STANDARD_DEVIATION
        - SUM
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '404':
      description: Not Found
    '422':
      description: Unprocessable Entity
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.